/*
  Copyright 2024 by Daniel Meißner <daniel.meissner-i4k@ruhr-uni-bochum.de>

  SPDX-License-Identifier: GPL-3.0-or-later
*/

const testCases = {
    "Example test case 1": () => true,
    "Example test case 2": () => false
};

export function runTestsuite(displayResult) {
    console.log("Running test suite …");

    for (const proposition in testCases) {
        displayResult(proposition, testCases[proposition]());
    };
}
